Search found 6 matches

by harlan
Fri Aug 23, 2019 9:36 pm
Forum: Installation Help
Topic: Environment::getBasePath() issue
Replies: 2
Views: 2719

Re: Environment::getBasePath() issue

Thanks! Unix really doesn't want folks to make hard links to directories. Furthermore, from inside the jail: > cd /www > ls -l www lrwxr-xr-x 1 root wheel 1 Aug 23 21:30 www -> . > realpath www/data/test (Note the missing initial /) /www/data/test > so something else is going on. I'm not aware of a ...
by harlan
Fri Aug 23, 2019 12:48 am
Forum: Installation Help
Topic: Environment::getBasePath() issue
Replies: 2
Views: 2719

Environment::getBasePath() issue

I'm trying to run timetrex in a jailed apache instance, under /www. Apache is installed under /www along with PHP and the other needed bits. Timetrex is installed in /www/data/ttrex0.my.domain/ . To make administration and management easier, under /www there is a symlink from 'www' to '.'. This lets...
by harlan
Wed Aug 21, 2019 4:08 pm
Forum: Installation Help
Topic: Idea for System Check Acceptance
Replies: 1
Views: 2618

Idea for System Check Acceptance

If I should post this in another category, please let me know. It might be Really Swell if the System Check Acceptance perhaps asked for *how* the files/directories should be readable/writable, by owner, group, and other. If any checked file or directory does not match the above "target", perhaps th...
by harlan
Wed Aug 21, 2019 1:48 pm
Forum: Installation Help
Topic: Any known problems with php7.3?
Replies: 4
Views: 3287

Re: Any known problems with php7.3?

ok, thanks!
by harlan
Wed Aug 21, 2019 12:22 pm
Forum: Installation Help
Topic: Any known problems with php7.3?
Replies: 4
Views: 3287

Re: Any known problems with php7.3?

Thanks!

Is that the latest community edition? I grabbed the latest code from GitHub, which had the checks I described.

H
by harlan
Tue Aug 20, 2019 5:18 am
Forum: Installation Help
Topic: Any known problems with php7.3?
Replies: 4
Views: 3287

Any known problems with php7.3?

The current codebase has a check in install.php that prevents installation if the installed version of php is greater than 7.2.99.

Are there any known problems with 7.3.x?